#include <Widget/Layout/CompoundWidget/CategoryView/CategoryView.hpp>

void CategoryView::addPage(Page *page)
{
    pages.push_back(page);
    pageIndexes.push_back(pages.size() - 1);
}

CategoryView::~CategoryView()
{
    for (Page* page : pages)
    {
        delete page;
    }
}